/* File: packet.h */
#ifndef KR_PACKET_H
#define KR_PACKET_H
  #include <stdio.h>

  typedef struct pkt * packet_t;

  /* prototypes for public functions */
  packet_t new_pkt(void);
  void     dispose_pkt(packet_t P);
  void     init_pkt(packet_t P);
  void     set_pkt_data (packet_t, int, int, int, char*);
  void     copy_pkt (packet_t, packet_t);
  int      pkt_seq (packet_t P);
  int      pkt_ack (packet_t P);
  int      pkt_check (packet_t P);
  void 	   set_pkt_check(packet_t P, int checksum);
  char *   pkt_data (packet_t P);
  int 	   pkt_size (void);
  int      print_pkt (FILE * where, char * before, packet_t P, char * after);
  
#endif /* KR_PACKET_H */
/* EOF (packet.h) */
